Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-61627

Potential problems with Postgres versions released March 1st 2018

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Duplicate
    • Affects Version/s: 3.3.4, 3.4.1, 3.5
    • Fix Version/s: None
    • Component/s: Database SQL/XMLDB
    • Labels:
      None
    • Affected Branches:
      MOODLE_33_STABLE, MOODLE_34_STABLE, MOODLE_35_STABLE

      Description

      It seems that we are facing problems with Postgres 9.6.8, just released:

      https://www.postgresql.org/docs/9.6/static/release-9-6-8.html

      And all docker and CI runs have started to fail. So we have proceed to pin PG to 9.6.7:

      And also have created https://github.com/moodlehq/moodle-docker/issues/78 to proceed to unpin once we know it's safe to do so. That implies discovering what's wrong with the new version of postgres. It maybe Moodle, it maybe Postgres, it maybe docker containers...

      This issue is about discover which is the problem, fix it if possible and signal both moodle-docker and ci to unpin pg (revert the pin).

      Ciao

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: